function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	level:AddTaskSafe(CreateTask('PIECE_OF_MAP', 'PIECES_OF_MAP', 'piece_of_map_1', 'piece_of_map_2', 'piece_of_map_3'))
	level:AddTaskSafe(CreateTask('PLAN_OF_CATHEDRAL', '', 'plan'));
	AddRandomTasks(16,
               CreateTask('BASKETBALL', '', 'ball'),
               CreateTask('CLOWN', '', 'clown'),
               CreateTask('CRAB', '', 'crab'),
               CreateTask('DRUM', '', 'drum'),
               CreateTask('DUMMY', '', 'dummy'),
               CreateTask('FEATHER', '', 'feather'),
               CreateTask('FLY', '', 'fly'),
               --CreateTask('HAT', '', 'hat'),
               CreateTask('MAGNIFYING_GLASS', '', 'magnifying_glass'),
               CreateTask('PHONE', '', 'phone'),
               CreateTask('SCARF', '', 'scarf'),
               CreateTask('SHOES', '', 'shoes'),
               CreateTask('STICK', '', 'stick'),
			   CreateTask('KEYS', '', 'keys'),
			   CreateTask('RADIO', '', 'radio'),
               CreateTask('UMBRELLA', 'UMBRELLAS', 'umbrella', 'umbrella2'))
			   
	game_state.pieces_of_map_left = 3;
	
	InitChain1(screen)
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen)
	InitChain3(screen)
	InitChain4(screen)
	InitChain6(screen)
	game_state.chain6.final = true
	AddSheriffEyeLogic()
	
	local object = play_field:GetObject('ladder_active_zone');
	inventory_ladder = CreateInventory(object:GetX() - 150,
                                        object:GetY(),
                                        object:GetZ() + 10,
                                        "ladder_active_zone",
                                        CreateItem('stair1_tool', 'stair1_scaled'),
                                        CreateItem('stair2_tool', 'stair2_scaled'),
                                        CreateItem('stair3_tool', 'stair3_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_30_1");
										
	inventory_ladder.state_changer = 'OnLadderComplete'
										
	inventory_ladder.OnComplete = function()
		play_field:GetObject('sprait_lestnizy_4'):ChangeOpacity(0, 1, 1)		
		RegisterZoomZone(zoom_wardrobe_top, 'zoom_active_zone')
	end
	CreateTool('stair1', 'stair1_scaled')
	CreateTool('stair2', 'stair2_scaled')
	CreateTool('stair3', 'stair3_scaled')
	play_field:GetObject('sprait_lestnizy_4'):SetOpacity(0)
	
	zoom_wardrobe_top = CreateZoomZone('close_zoom_wardrobe_top',                                         
							  '', -- pixel_open_storage
							  'zoom_bg',
							  'plan')
	game_state.meta_object = 'cigar30'
	
	game_state.OnStartingComicsComplete = function()
		inventory_ladder.Unlock()
	end
	
	game_state.OnLadderComplete = function()
		play_field:GetObject('sprait_lestnizy_4'):SetOpacity(1)
		RegisterZoomZone(zoom_wardrobe_top, 'zoom_active_zone')
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end	    
	    load_screen('data/Scenes/Minigames/31_cathedral.lua');  
	end
	
	game_state.OnChain2NotStarted = function()
	    if GetProfileManager():GetCurrentProfile():CallsFunction('OnMinigameConditionsComplete') then
	        return
	    end
	    game_state.chain2.Start()
	end
	
	game_state.first_part_comics_shown = false
end

function OnMinigameCompleted()
	if IsNotebookClosed() and ArePanelTasksComplete() then
        game_state.chain6.Start()
    end
end

function InitChain1(screen)
	local comics1 = CreateComics(screen, 'Sheriff', 'eyes');    
	comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		inventory_ladder.Unlock()
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_30_1"));
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
	
	comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		game_state.plan_comics_shown = true
		CheckMinigameCondition()
	    if not game_state.first_part_comics_shown and game_state.pieces_of_map_left ~= 3 then
			game_state.chain3.Start()
		end
	end
        
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_30_2"));
end

function InitChain3(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
	
	comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		game_state.first_part_comics_shown = true
		CheckMinigameCondition()
		if not game_state.plan_comics_shown and not play_field:HasObject('plan') then
			game_state.chain2.Start()
		end
	end
        
    game_state.chain3 = CreateChain('pixel_comics_3',
                                    screen,
                                    comics1, GetString("COMICS_30_3"));
end

function InitChain4(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
	
	comics1.OnHidden = function()
		game_state.locker:Release()
		GetProfileManager():GetCurrentProfile():AddStateChanger('OnMinigameConditionsComplete')
        load_screen('data/Scenes/Minigames/31_cathedral.lua');  
	end
        
    game_state.chain4 = CreateChain('pixel_comics_4',
                                    screen,
                                    comics1, GetString("COMICS_30_4"));
end

function InitChain6(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
	
	comics1.OnHidden = function()
		OnWin()
	end
        
    game_state.chain6 = CreateChain('pixel_comics_6',
                                    screen,
                                    comics1, GetString("COMICS_30_6"));
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	game_state.chain6.Start()
end

function OnNotebookOpened()
end

function OnUpdate(dt)
end

function OnScreenShown()
    game_state.chain1.Start()
end

function OnExit()
end

function CheckMinigameCondition()
	if game_state.pieces_of_map_left == 0 and
	   not play_field:HasObject('plan') and
	   game_state.first_part_comics_shown and
	   game_state.plan_comics_shown then
	   
		  game_state.chain4.Start();
	end
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
	if object:GetName() == 'plan' then
		zoom_wardrobe_top.SetVisible(false)
		game_state.locker:Release()
		UnregisterZoomZone(zoom_wardrobe_top)
	end
	
	local ls = play_field:GetLevelScreen()
	if not ls:HasObject('piece_of_map_1') and not ls:HasObject('piece_of_map_2') and  not ls:HasObject('piece_of_map_3') and not ls:HasObject('plan')  then
	    GetProfileManager():GetCurrentProfile():AddStateChanger('OnChain2NotStarted')
	end
end

function OnObjectWasFound(object)
	local obj_name = object:GetName()
	
	if obj_name == 'piece_of_map_1' or obj_name == 'piece_of_map_2' or obj_name == 'piece_of_map_3' then
		if game_state.pieces_of_map_left == 3 and not game_state.first_part_comics_shown then
			game_state.chain3.Start()
		end
		game_state.pieces_of_map_left = game_state.pieces_of_map_left - 1
		CheckMinigameCondition()
	end
	if obj_name == 'plan' and not game_state.plan_comics_shown then
		game_state.chain2.Start()
	end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/bak.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bak',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/ball.png',0,0,34,31,1,0)
	anim:SetHotSpot(17,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ball',anim,529,474,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/crab.png',0,0,71,76,1,0)
	anim:SetHotSpot(35,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crab',anim,487,135,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/drum.png',0,0,47,32,1,0)
	anim:SetHotSpot(23,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum',anim,311,248,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/feather.png',0,0,48,67,1,0)
	anim:SetHotSpot(24,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,854,456,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/hat.png',0,0,85,41,1,0)
	anim:SetHotSpot(42,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,134,190,100,8,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/magnifying_glass.png',0,0,65,44,1,0)
	anim:SetHotSpot(32,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('magnifying_glass',anim,420,738,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/phone.png',0,0,81,54,1,0)
	anim:SetHotSpot(40,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('phone',anim,236,361,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/scarf.png',0,0,31,72,1,0)
	anim:SetHotSpot(15,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scarf',anim,354,473,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/shoes.png',0,0,64,45,1,0)
	anim:SetHotSpot(32,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoes',anim,195,621,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stick.png',0,0,52,169,1,0)
	anim:SetHotSpot(26,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stick',anim,598,573,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/umbrella2.png',0,0,32,139,1,0)
	anim:SetHotSpot(16,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella2',anim,411,550,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/umbrella.png',0,0,47,48,1,0)
	anim:SetHotSpot(23,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,586,435,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_shkafa.png',0,0,82,28,1,0)
	anim:SetHotSpot(41,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_shkafa',anim,963,183,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_shkafa_2.png',0,0,80,36,1,0)
	anim:SetHotSpot(40,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_shkafa_2',anim,317,259,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_spinki_stula.png',0,0,29,33,1,0)
	anim:SetHotSpot(14,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_spinki_stula',anim,407,492,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_sumki.png',0,0,70,66,1,0)
	anim:SetHotSpot(35,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_sumki',anim,500,493,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_zonta.png',0,0,49,38,1,0)
	anim:SetHotSpot(24,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_zonta',anim,605,451,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/dummy.png',0,0,34,35,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dummy',anim,760,623,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/clown.png',0,0,58,86,1,0)
	anim:SetHotSpot(29,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clown',anim,707,584,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/fly.png',0,0,23,32,1,0)
	anim:SetHotSpot(11,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly',anim,352,86,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/piece_of_map_1.png',0,0,38,31,1,0)
	anim:SetHotSpot(19,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piece_of_map_1',anim,363,753,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/piece_of_map_2.png',0,0,36,23,1,0)
	anim:SetHotSpot(18,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piece_of_map_2',anim,641,543,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/piece_of_map_3.png',0,0,44,33,1,0)
	anim:SetHotSpot(22,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('piece_of_map_3',anim,552,726,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_6',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair1.png',0,0,146,63,1,0)
	anim:SetHotSpot(73,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair1',anim,826,663,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair2.png',0,0,28,92,1,0)
	anim:SetHotSpot(14,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair2',anim,391,628,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair3.png',0,0,111,24,1,0)
	anim:SetHotSpot(55,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair3',anim,287,755,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_lestnizy_4.png',0,0,142,428,1,0)
	anim:SetHotSpot(71,214)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_lestnizy_4',anim,1001,378,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('ladder_active_zone',anim,987,499,100,0,8,10)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair1.png',0,0,146,63,1,0)
	anim:SetHotSpot(73,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair1_tool',anim,357,53,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair2.png',0,0,28,92,1,0)
	anim:SetHotSpot(14,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair2_tool',anim,417,48,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair3.png',0,0,111,24,1,0)
	anim:SetHotSpot(55,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair3_tool',anim,471,56,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair1.png',0,0,146,63,1,0)
	anim:SetHotSpot(73,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair1_scaled',anim,823,662,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair2.png',0,0,28,92,1,0)
	anim:SetHotSpot(14,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair2_scaled',anim,391,627,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/stair3.png',0,0,111,24,1,0)
	anim:SetHotSpot(55,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stair3_scaled',anim,283,758,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Zoom/zoom_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_bg',anim,512,384,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Zoom/plan_of_cathedral.png',0,0,302,103,1,0)
	anim:SetHotSpot(151,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('plan',anim,552,368,310,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('zoom_active_zone',anim,970,164,100,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Layers/sprait_globusa.png',0,0,69,159,1,0)
	anim:SetHotSpot(34,79)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_globusa',anim,591,602,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/keys.png',0,0,53,31,1,0)
	anim:SetHotSpot(26,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('keys',anim,317,728,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/Items/radio.png',0,0,66,73,1,0)
	anim:SetHotSpot(33,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('radio',anim,906,414,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/30_reading_room_12/cigar30.png',0,0,65,22,1,0)
	anim:SetHotSpot(32,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar30',anim,719,682,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
